Loading...
Searching...
No Matches
Dune::Amg::IndicesCoarsener< SequentialInformation, E > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Coarsen Indices in the sequential case. More...

`#include <dune/istl/paamg/indicescoarsener.hh>`

Inheritance diagram for Dune::Amg::IndicesCoarsener< SequentialInformation, E >:

## Static Public Member Functions

template<typename Graph, typename VM>
static Graph::VertexDescriptor | coarsen (const SequentialInformation &fineInfo, Graph &fineGraph, VM &visitedMap, AggregatesMap< typename Graph::VertexDescriptor > &aggregates, SequentialInformation &coarseInfo, typename Graph::VertexDescriptor noAggregates, bool useFixedOrder=false)

## Detailed Description

template<typename E>
class Dune::Amg::IndicesCoarsener< SequentialInformation, E >

Coarsen Indices in the sequential case.

Nothing to be coarsened here. Just renumber the aggregates consecutively

The documentation for this class was generated from the following file:

- indicescoarsener.hh